Search Gradle plugins

Plugin Latest Version

name.remal.mark-classes-dependent-on-kotlin-runtime

Process compiled classes and add @RequiresKotlinRuntime if class/method requires Kotlin runtime

1.0.113
(12 February 2019)

de.nycode.spigot-dependency-loader

Automatically download your dependencies at runtime on Spigot 1.16.5+

1.1.2
(30 January 2022)

dev.vankka.dependencydownload.plugin

A plugin to generate a metadata file for downloading dependencies during runtime

1.3.0
(03 October 2022)

dev.racci.slimjar

JVM Runtime Dependency Management.

1.3.2
(13 September 2022)

io.github.slimjar

JVM Runtime Dependency Management.

1.3.0
(17 August 2021)

com.heretere.hdl.plugin

Download dependencies at runtime instead of shading to match file size limitations

2.0.1
(28 October 2021)

io.github.davidburstrom.version-compatibility

Sets up a compatibility test suite against given versions of one or more dependencies, and sets up source sets to create compatibility adapters for different versions of a dependency. This is useful in any context where the runtime dependencies of a program is a matter of configuration, e.g. when integrating a 3rd party tool in a software suite.

0.1.0
(29 August 2022)

rkennel.withdb

Add DB JDBC drivers to your gradle runtime dependencies

1.0.6
(08 March 2021)

me.bristermitten.pdm

Sets up PDM to automatically download any dependencies for Spigot plugins

0.0.33
(15 February 2021)